import * as React from "react";
import { DefaultTheme } from "styled-components";
export declare enum ButtonIconAlignment {
    left = "left",
    right = "right"
}
export declare enum ButtonDisplay {
    display = "display",
    flex = "flex"
}
export interface ButtonProps extends React.HTMLAttributes<HTMLButtonElement> {
    className?: string;
    label: string;
    iconAlignment?: ButtonIconAlignment;
    display?: ButtonDisplay;
    backgroundColor?: keyof DefaultTheme["colors"];
    textColor?: keyof DefaultTheme["colors"];
    loading?: boolean;
    small?: boolean;
    isSelected?: boolean;
    plain?: boolean;
    disabled?: boolean;
}
export declare const Button: React.ForwardRefExoticComponent<ButtonProps & React.RefAttributes<HTMLButtonElement>>;
