"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Button = exports.ButtonDisplay = exports.ButtonIconAlignment = void 0;
const React = __importStar(require("react"));
const styled_components_1 = __importStar(require("styled-components"));
const text_1 = __importDefault(require("../text"));
var ButtonIconAlignment;
(function (ButtonIconAlignment) {
    ButtonIconAlignment["left"] = "left";
    ButtonIconAlignment["right"] = "right";
})(ButtonIconAlignment = exports.ButtonIconAlignment || (exports.ButtonIconAlignment = {}));
var ButtonDisplay;
(function (ButtonDisplay) {
    ButtonDisplay["display"] = "display";
    ButtonDisplay["flex"] = "flex";
})(ButtonDisplay = exports.ButtonDisplay || (exports.ButtonDisplay = {}));
const Wrapper = styled_components_1.default.div `
  z-index: 1;
  display: ${props => props.display || "inline"};
  position: relative;
`;
const StyledButton = styled_components_1.default.button `
  flex-direction: ${props => props.reverse ? "row" : "row-reverse"};

  ${props => !props.plain &&
    (0, styled_components_1.css) `
      font-family: ${props.theme.font.family.secondary};
      font-weight: ${props.theme.font.weights.medium};
      font-size: ${props.theme.font.sizes.bodySmall};
      position: relative;
      border-radius: ${props.theme.borderRadius.medium};
      height: 4rem;
      background: ${props.backgroundColor ? props.theme.colors[props.backgroundColor] : props.theme.colors.primary};
      border-color: ${props.backgroundColor ? props.theme.colors[props.backgroundColor] : props.theme.colors.primary};
      color: ${props.textColor ? props.theme.colors[props.textColor] : "white"};
      transition: all ease-in-out 0.2s;

      &:hover, &:focus, &:active {
        border-color: ${props.backgroundColor ? props.theme.colors[props.backgroundColor] : props.theme.colors.primary};
        box-shadow: 0px 1px 6px -2px ${props.theme.colors.primary};
      }

      &.selected {
        background: ${props.theme.colors.primary};
        border-color: ${props.theme.colors.primary};
        color: white;

        &:hover {
          box-shadow: 0px 0px 5px ${props.theme.colors.primary};
        }
      }
    `};

  ${props => props.small &&
    (0, styled_components_1.css) `
      height: auto;
      padding: 0.3rem 1.2rem;
      border-radius: ${props.theme.borderRadius.small};
      font-size: ${props.theme.font.sizes.small}
    `};

    ${props => props.disabled &&
    (0, styled_components_1.css) `
      opacity: 0.8;
      cursor: not-allowed;
    `};
`;
exports.Button = React.forwardRef((_a, ref) => {
    var { label, iconAlignment, display } = _a, props = __rest(_a, ["label", "iconAlignment", "display"]);
    const { className } = props;
    const iconAlign = iconAlignment === "right" || false;
    return (React.createElement(Wrapper, { display: display },
        React.createElement(StyledButton, Object.assign({ ref: ref }, props, { className: `${className} ${props.isSelected ? " selected" : ""}`, disabled: props.loading || props.disabled, reverse: iconAlign }),
            React.createElement(text_1.default, null, label))));
});
