"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = exports.TextSize = void 0;
const styled_components_1 = __importStar(require("styled-components"));
var TextSize;
(function (TextSize) {
    TextSize["h1"] = "h1";
    TextSize["h2"] = "h2";
    TextSize["h3"] = "h3";
    TextSize["h4"] = "h4";
    TextSize["h5"] = "h5";
    TextSize["h6"] = "h6";
    TextSize["p"] = "p";
    TextSize["a"] = "a";
    TextSize["small"] = "small";
})(TextSize = exports.TextSize || (exports.TextSize = {}));
// use as keywrod to decide which styleset to use
exports.Text = styled_components_1.default.span.attrs(({ size }) => ({ as: size })) `
  font-family: ${({ theme }) => theme.font.family.secondary}, sans-serif;
  font-weight: ${({ theme }) => theme.font.weights.regular};
  font-style: normal;
  text-transform: ${props => (props.uppercase ? "uppercase" : "none")};
  letter-spacing: ${props => (props.uppercase ? "0.2rem" : "inherit")};
  color: ${props => props.color ? props.theme.colors[props.color] : "inherit"};


  ${props => {
    switch (props.size) {
        case "h1":
            return (0, styled_components_1.css) `
          font-size: ${props.theme.font.sizes.heading1};
          line-height: 1.2em;
          font-family: ${props.theme.font.family.primary};
          font-size: ${props.theme.font.weights.light};
        `;
        case "h2":
            return (0, styled_components_1.css) `
          font-size: ${props.theme.font.sizes.heading2};
          line-height: 1.2em;
          font-family: ${props.theme.font.family.primary};
          font-size: ${props.theme.font.weights.medium};
        `;
        case "h3":
            return (0, styled_components_1.css) `
          font-size: ${props.theme.font.sizes.heading3};
          line-height: 1.2em;
          font-family: ${props.theme.font.family.primary};
          font-weight: ${props.theme.font.weights.light};
        `;
        case "h4":
            return (0, styled_components_1.css) `
          font-size: ${props.theme.font.sizes.heading4};
          line-height: 1.2em;
          font-family: ${props.theme.font.family.primary};
          font-weight: ${props.theme.font.weights.regular};
        `;
        case "h5":
            return (0, styled_components_1.css) `
          font-size: ${props.theme.font.sizes.heading5};
          line-height: 1.2em;
          font-family: ${props.theme.font.family.secondary};
          font-size: ${props.theme.font.weights.medium};
          text-transform: uppercase;
        `;
        case "h6":
            return (0, styled_components_1.css) `
          font-size: ${props.theme.font.sizes.heading6};
          line-height: 1.2em;
          font-family: ${props.theme.font.family.secondary};
          font-weight: ${props.theme.font.weights.medium};
          text-transform: uppercase;
          letter-spacing: 1px;
          text-transform: uppercase;
          font-size: 1.4rem;
        `;
        case "p":
            return (0, styled_components_1.css) `
          font-family: ${props.theme.font.family.secondary};
          font-size: ${props.theme.font.sizes.bodyRegular};
          line-height: 1.4em;
        `;
        case "a":
            return (0, styled_components_1.css) `
          font-family: ${props.theme.font.family.secondary};
          font-size: ${props.theme.font.sizes.bodyRegular};
          line-height: 1.4em;
        `;
        case "small":
            return (0, styled_components_1.css) `
          font-family: ${props.theme.font.family.secondary};
          font-size: ${props.theme.font.sizes.bodySmall};
          line-height: 1.2em;
        `;
        default:
            return (0, styled_components_1.css) `
          font-family: ${props.theme.font.family.secondary};
          font-size: ${props.theme.font.sizes.bodyRegular};
        `;
    }
}}
  font-weight: ${props => (props.light && props.theme.font.weights.light)};
  font-weight: ${props => (props.bold && props.theme.font.weights.bold)};
  font-family: ${props => props.family && props.theme.font.family[props.family]};
`;
