"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.theme = exports.Colors = exports.BorderRadius = exports.BreakPoints = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = require("styled-components");
const themeDecorator = story => {
    return (react_1.default.createElement(styled_components_1.ThemeProvider, { theme: exports.theme }, story()));
};
exports.default = themeDecorator;
var BreakPoints;
(function (BreakPoints) {
    BreakPoints["xs"] = "0";
    BreakPoints["sm"] = "+300";
    BreakPoints["md"] = "+501";
    BreakPoints["lg"] = "+750";
    BreakPoints["xl"] = "+960";
})(BreakPoints = exports.BreakPoints || (exports.BreakPoints = {}));
var BorderRadius;
(function (BorderRadius) {
    BorderRadius["small"] = "0.5rem";
    BorderRadius["medium"] = "1rem";
    BorderRadius["large"] = "1.5rem";
})(BorderRadius = exports.BorderRadius || (exports.BorderRadius = {}));
var Colors;
(function (Colors) {
    Colors["primary"] = "#273163";
    Colors["primaryAccent"] = "#686F92";
    Colors["secondary"] = "#ECE8BD";
    Colors["secondaryAccent"] = "#F5F3DE";
    Colors["lightGrey"] = "#D4D6E0";
    Colors["grey"] = "#A9ADC1";
    Colors["darkGrey"] = "#7D83A1";
    Colors["success"] = "#3FBF83";
    Colors["error"] = "#99122D";
    Colors["warning"] = "#F2911F";
})(Colors = exports.Colors || (exports.Colors = {}));
exports.theme = {
    breakpoints: BreakPoints,
    colors: {
        primary: Colors.primary,
        primaryAccent: Colors.primaryAccent,
        secondary: Colors.secondary,
        secondaryAccent: Colors.secondaryAccent,
        lightGrey: Colors.lightGrey,
        grey: Colors.grey,
        darkGrey: Colors.darkGrey,
        success: Colors.success,
        error: Colors.error,
        warning: Colors.warning
    },
    font: {
        family: {
            primary: "Arial, sans-serif",
            secondary: "Helvetica, sans-serif"
        },
        sizes: {
            heading1: "3.6rem",
            heading2: "2.8rem",
            heading3: "2.6rem",
            heading4: "2rem",
            heading5: "1.8rem",
            heading6: "1.4rem",
            bodyRegular: "1.6rem",
            bodySmall: "1.5rem",
            small: "1.2rem"
        },
        weights: {
            light: 400,
            regular: 400,
            medium: 600,
            bold: 700
        }
    },
    borderRadius: {
        small: BorderRadius.small,
        medium: BorderRadius.medium,
        large: BorderRadius.large
    }
};
